Skip to main content
GET
/
v1
/
credit
/
fees
/
{id}
Get a credit fee
curl --request GET \
  --url https://api-sandbox.circle.com/v1/credit/fees/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/credit/fees/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/credit/fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "transferId": "b3d9d2d5-4c12-4946-a09d-953e82fae2b0",
    "amount": {
      "amount": "15.00",
      "currency": "USD"
    },
    "status": "paid",
    "accruedDate": "2024-03-21T00:00:00.000Z",
    "createDate": "2024-03-21T00:00:00.000Z",
    "updateDate": "2024-04-10T09:30:00.000Z"
  }
}
{
"code": 401,
"message": "Malformed authorization."
}
{
"code": 404,
"message": "Not found."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a credit fee.

data
object

A fee charged on a credit transfer.